commit: de974d1d6946cfa95795d3c9ef54488f298ea8e6
Author: James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 29 21:11:11 2015 +0000
Commit: James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Tue Sep 29 21:19:57 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de974d1d
dev-java/rome: Fix the jdom-1.0 reference that wltjr missed
Also change the src_unpack to java_prepare and use classpath rewriting
to avoid explicit dependency on junit.
Package-Manager: portage-2.2.20.1
dev-java/rome/rome-0.9-r1.ebuild | 19 ++++++++-----------
1 file changed, 8 insertions(+), 11 deletions(-)
diff --git a/dev-java/rome/rome-0.9-r1.ebuild b/dev-java/rome/rome-0.9-r1.ebuild
index cb20ae0..30702d2 100644
--- a/dev-java/rome/rome-0.9-r1.ebuild
+++ b/dev-java/rome/rome-0.9-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -20,22 +20,20 @@ IUSE=""
COMMON_DEPEND="dev-java/jdom:0"
DEPEND=">=virtual/jdk-1.4
app-arch/unzip
- test? ( dev-java/ant-junit )
+ test? ( dev-java/ant-junit:0 )
${COMMON_DEPEND}"
RDEPEND=">=virtual/jre-1.4
${COMMON_DEPEND}"
-src_unpack() {
- unpack ${A}
- cd "${S}"
+JAVA_ANT_REWRITE_CLASSPATH="true"
+EANT_GENTOO_CLASSPATH="jdom"
+java_prepare() {
# Patch build.xml so the tests pass
epatch "${FILESDIR}/${P}-build.xml-test-upstream.patch"
- # Symlink jars
- mkdir -p target/lib
- cd target/lib
- java-pkg_jar-from jdom-1.0
+ # Keep Ant happy.
+ mkdir -p target/lib || die
}
src_install() {
@@ -46,6 +44,5 @@ src_install() {
}
src_test() {
- java-pkg_jar-from --into target/lib junit
- ANT_TASKS="ant-junit" eant test
+ java-pkg-2_src_test
}